Bug 149143 - [patch] x11/nvidia-settings: update to 256.44
Summary: [patch] x11/nvidia-settings: update to 256.44
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Nedotsukov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-31 11:30 UTC by swell.k
Modified: 2010-10-13 15:12 UTC (History)
0 users

See Also:


Attachments
a.diff (3.69 KB, patch)
2010-07-31 11:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-07-31 11:30:03 UTC
While there were patches for x11/nvidia-driver circulating I've never
found one for x11/nvidia-settings.

- update
- respect STRIP by using INSTALL_PROGRAM
- use vendor Makefile to build libXNVCtrl.a
Comment 1 Edwin Groothuis freebsd_committer 2010-07-31 11:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bland

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-07-31 11:31:14 UTC
Oops, forgot to restore ${PATCHDIR}/patch-Makefile in my CVS checkout.
Resending the patch.

--- a.diff begins here ---
Index: x11/nvidia-settings/Makefile
===================================================================
RCS file: /a/.cvsup/ports/x11/nvidia-settings/Makefile,v
retrieving revision 1.46
diff -u -p -r1.46 Makefile
--- x11/nvidia-settings/Makefile	21 Jun 2010 13:49:53 -0000	1.46
+++ x11/nvidia-settings/Makefile	31 Jul 2010 10:21:34 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	nvidia-settings
-PORTVERSION=	195.36.31
+PORTVERSION=	256.44
 CATEGORIES=	x11
 MASTER_SITES=	ftp://download.nvidia.com/XFree86/nvidia-settings/ \
 		ftp://download1.nvidia.com/XFree86/nvidia-settings/
@@ -14,27 +14,30 @@ MASTER_SITES=	ftp://download.nvidia.com/
 MAINTAINER=	bland@FreeBSD.org
 COMMENT=	Display Control Panel for X NVidia driver
 
+USE_BZIP2=	yes
 USE_GNOME=	gtk20
 USE_GMAKE=	yes
 USE_GL=		gl
 USE_XORG=	xv
 
+MANCOMPRESSED=	yes
 PLIST_FILES=	bin/nvidia-settings
 MAN1=		nvidia-settings.1
 
-MAKE_ENV=	ROOT=${PREFIX} \
+MAKE_ENV=	NV_VERBOSE= \
+		STRIP_CMD=${TRUE} \
+		INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
+		INSTALL_MAN="${INSTALL_MAN}" \
+		prefix=${PREFIX} \
 		X11R6_LIB_DIR=${LOCALBASE}/lib \
 		X11R6_INC_DIR=${LOCALBASE}/include \
 		LDFLAGS="${PTHREAD_LIBS}"
 
-WRKSRC=		${WRKDIR}/nvidia-settings-1.0
+post-extract:	.SILENT
+	${RM} -f ${WRKSRC}/src/libXNVCtrl/libXNVCtrl.a
 
-pre-build:
-	cd ${WRKSRC}/src/libXNVCtrl; \
-	${CC} -c -I${LOCALBASE}/include -DCSRG_BASED -DFUNCPROTO=15 -DNARROWPROTO \
-		-DXTHREADS -DXUSE_MTSAFE_API -DMALLOC_0_RETURNS_NULL NVCtrl.c; \
-	${RM} -f libXNVCtrl.a; \
-	ar clq libXNVCtrl.a NVCtrl.o; \
-	ranlib libXNVCtrl.a
+post-patch:	.SILENT
+	${REINPLACE_CMD} -e '/^prefix/s/=/?&/' \
+		 -e '/^mandir/s|share/||' ${WRKSRC}/utils.mk
 
 .include <bsd.port.mk>
Index: x11/nvidia-settings/distinfo
===================================================================
RCS file: /a/.cvsup/ports/x11/nvidia-settings/distinfo,v
retrieving revision 1.30
diff -u -p -r1.30 distinfo
--- x11/nvidia-settings/distinfo	21 Jun 2010 13:49:53 -0000	1.30
+++ x11/nvidia-settings/distinfo	31 Jul 2010 08:56:29 -0000
@@ -1,3 +1,3 @@
-MD5 (nvidia-settings-195.36.31.tar.gz) = 30782edbe54e99f678cb73e08cd67470
-SHA256 (nvidia-settings-195.36.31.tar.gz) = 9e2b8d6078da595994e0577390f9e72fc4b866ff5f7131307b4570a12dda660a
-SIZE (nvidia-settings-195.36.31.tar.gz) = 1404726
+MD5 (nvidia-settings-256.44.tar.bz2) = c18cc98749e11ea2f13770a65217be5b
+SHA256 (nvidia-settings-256.44.tar.bz2) = abf8001f4ae2defb2824566a2fc61c27a0b0f5f4db3815d14f0d90069ab01d38
+SIZE (nvidia-settings-256.44.tar.bz2) = 1458780
Index: x11/nvidia-settings/files/patch-Makefile
===================================================================
RCS file: /a/.cvsup/ports/x11/nvidia-settings/files/patch-Makefile,v
retrieving revision 1.5
diff -u -p -r1.5 patch-Makefile
--- x11/nvidia-settings/files/patch-Makefile	29 Aug 2006 01:56:09 -0000	1.5
+++ x11/nvidia-settings/files/patch-Makefile	31 Jul 2010 10:13:04 -0000
@@ -1,39 +1,19 @@
---- Makefile.orig	Wed Aug  2 13:29:56 2006
-+++ Makefile	Mon Aug 28 16:15:57 2006
-@@ -84,7 +84,7 @@
+--- Makefile~
++++ Makefile
+@@ -149,11 +149,14 @@ install: NVIDIA_SETTINGS_install MANPAGE
+ 
+ NVIDIA_SETTINGS_install: $(NVIDIA_SETTINGS)
+ 	$(MKDIR) $(bindir)
+-	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(bindir)/$(notdir $<)
++	$(INSTALL_PROGRAM) $< $(bindir)/$(notdir $<)
+ 
+ MANPAGE_install: $(MANPAGE)
+ 	$(MKDIR) $(mandir)
+-	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(mandir)/$(notdir $<)
++	$(INSTALL_PROGRAM) $< $(mandir)/$(notdir $<)
++
++$(XNVCTRL_ARCHIVE):
++	$(MAKE) -C $(XNVCTRL_DIR)
  
- # default prefix
- ifdef ROOT
--  prefix = $(ROOT)/usr
-+  prefix = $(ROOT)
- else
-   prefix = /usr/local
- endif
-@@ -102,16 +102,14 @@
- else
- ECHO=echo
- define INSTALL_RULE
--	$(INSTALL) -m 755 $(NVIDIA_SETTINGS) $(bindir)/$(NVIDIA_SETTINGS)
--	mkdir -p $(mandir)
--	$(INSTALL) -m 644 doc/$(MANPAGE) $(mandir)
--	gzip -9f $(mandir)/$(MANPAGE)
-+	$(BSD_INSTALL_PROGRAM) $(NVIDIA_SETTINGS) $(bindir)/$(NVIDIA_SETTINGS)
-+	$(BSD_INSTALL_MAN) doc/$(MANPAGE) $(mandir)
- endef
- endif
- 
- exec_prefix = $(prefix)
- bindir = $(exec_prefix)/bin
--mandir = $(exec_prefix)/share/man/man1
-+mandir = $(MANPREFIX)/man/man1
- 
- X11R6_CFLAGS = -I $(X11R6_INC_DIR)
- 
-@@ -200,7 +198,6 @@
- all: $(NVIDIA_SETTINGS) doc/$(MANPAGE)
- 
- install: all
--	$(STRIP) $(NVIDIA_SETTINGS)
- 	$(INSTALL_RULE)
- 
- $(OBJS_DIR)/%.o: %.c
+ $(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_ARCHIVE)
+ 	$(call quiet_cmd,LINK) -o $@ $(OBJS) $(XNVCTRL_ARCHIVE) \
--- a.diff ends here ---
Comment 3 swell.k 2010-08-31 21:24:42 UTC
- bump version to 256.52
- manpages should be installed with INSTALL_MAN

--- b.diff begins here ---
diff --git x11/nvidia-settings/Makefile x11/nvidia-settings/Makefile
index d3bbb3e..c6dbc93 100644
--- x11/nvidia-settings/Makefile
+++ x11/nvidia-settings/Makefile
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	nvidia-settings
-PORTVERSION=	256.44
+PORTVERSION=	256.52
 CATEGORIES=	x11
 MASTER_SITES=	ftp://download.nvidia.com/XFree86/nvidia-settings/ \
 		ftp://download1.nvidia.com/XFree86/nvidia-settings/
diff --git x11/nvidia-settings/distinfo x11/nvidia-settings/distinfo
index 8526235..35465b1 100644
--- x11/nvidia-settings/distinfo
+++ x11/nvidia-settings/distinfo
@@ -1,3 +1,3 @@
-MD5 (nvidia-settings-256.44.tar.bz2) = c18cc98749e11ea2f13770a65217be5b
-SHA256 (nvidia-settings-256.44.tar.bz2) = abf8001f4ae2defb2824566a2fc61c27a0b0f5f4db3815d14f0d90069ab01d38
-SIZE (nvidia-settings-256.44.tar.bz2) = 1458780
+MD5 (nvidia-settings-256.52.tar.bz2) = d13b94886b57d4437e73e0dea1142869
+SHA256 (nvidia-settings-256.52.tar.bz2) = 7e1c135cbbd6a91eb8c59725869358daa395c48d67288d3f86d7dd5e0f8d146c
+SIZE (nvidia-settings-256.52.tar.bz2) = 1459561
diff --git x11/nvidia-settings/files/patch-Makefile x11/nvidia-settings/files/patch-Makefile
index dd9aec3..d736ef9 100644
--- x11/nvidia-settings/files/patch-Makefile
+++ x11/nvidia-settings/files/patch-Makefile
@@ -10,7 +10,7 @@
  MANPAGE_install: $(MANPAGE)
  	$(MKDIR) $(mandir)
 -	$(INSTALL) $(INSTALL_BIN_ARGS) $< $(mandir)/$(notdir $<)
-+	$(INSTALL_PROGRAM) $< $(mandir)/$(notdir $<)
++	$(INSTALL_MAN) $< $(mandir)/$(notdir $<)
 +
 +$(XNVCTRL_ARCHIVE):
 +	$(MAKE) -C $(XNVCTRL_DIR)
--- b.diff ends here ---
Comment 4 Philip M. Gollucci freebsd_committer 2010-10-10 08:30:55 UTC
Responsible Changed
From-To: bland->pgollucci

committer&maintainer timeout (bland ; 40 days) / last commit: 20 days 
ago
Comment 5 Philip M. Gollucci freebsd_committer 2010-10-10 18:52:03 UTC
State Changed
From-To: open->analyzed

back to bland; dependencies on other nvidia port versions 


Comment 6 Philip M. Gollucci freebsd_committer 2010-10-10 18:52:03 UTC
Responsible Changed
From-To: pgollucci->bland

back to bland; dependencies on other nvidia port versions
Comment 7 dfilter service freebsd_committer 2010-10-13 15:07:10 UTC
bland       2010-10-13 14:07:04 UTC

  FreeBSD ports repository

  Modified files:
    x11/nvidia-settings  Makefile distinfo 
    x11/nvidia-settings/files patch-Makefile 
  Log:
  Update to 256.53
  
  PR:     149143
  
  Revision  Changes    Path
  1.47      +17 -15    ports/x11/nvidia-settings/Makefile
  1.31      +3 -3      ports/x11/nvidia-settings/distinfo
  1.6       +18 -38    ports/x11/nvidia-settings/files/patch-Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Alexander Nedotsukov freebsd_committer 2010-10-13 15:11:16 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!